Page MenuHomePhabricator

rust-status: refactor options into a `StatusOptions` struct
ClosedPublic

Authored by Alphare on Feb 6 2020, 10:15 AM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Feb 6 2020, 10:15 AM
kevincox added inline comments.Feb 10 2020, 10:56 AM
rust/hg-core/src/dirstate/status.rs
208

These names aren't very meaningful to me but maybe that is because I'm not super familiar with the domain.

Alphare added inline comments.Feb 10 2020, 11:22 AM
rust/hg-core/src/dirstate/status.rs
208

It doesn't hurt to have some documentation. They're not super obvious indeed.

Alphare updated this revision to Diff 20044.Feb 10 2020, 11:30 AM
Alphare updated this revision to Diff 20155.Feb 11 2020, 5:55 AM
Alphare updated this revision to Diff 20164.Feb 11 2020, 6:13 AM
Alphare updated this revision to Diff 20184.Feb 13 2020, 12:37 PM
marmoute accepted this revision.Feb 14 2020, 3:44 AM
marmoute added a subscriber: marmoute.

looks good to me. thanks for plitting

durin42 accepted this revision.Feb 28 2020, 11:58 AM
This revision is now accepted and ready to land.Feb 28 2020, 11:58 AM
Alphare updated this revision to Diff 20496.Mar 5 2020, 3:33 AM
kevincox removed a subscriber: kevincox.Mar 5 2020, 3:40 AM